/*
 * Copyright (C) 2003 David Sansome <david@dave.sanspic.net>
 */

#include "mutray.h"
#include <kapplication.h>
#include <dcopclient.h>
#include <kaboutdata.h>
#include <kcmdlineargs.h>
#include <klocale.h>

static const char *description =
    I18N_NOOP("An application to notify the user of updates to Mandrake Linux");

static const char *version = "0.1";

static KCmdLineOptions options[] =
{
    { 0, 0, 0 }
};

int main(int argc, char **argv)
{
    KAboutData about("mutray", I18N_NOOP("MandrakeUpdate-Tray"), version, description,
                     KAboutData::License_GPL, "(C) 2003 David Sansome", 0, 0, "me@davidsansome.com");
    about.addAuthor( "David Sansome", 0, "me@davidsansome.com" );
    KCmdLineArgs::init(argc, argv, &about);
    KCmdLineArgs::addCmdLineOptions(options);
    MUApplication app;

    // register ourselves as a dcop client
    app.dcopClient()->registerAs(app.name(), false);

    // no session.. just start up normally
    MUMain* main = new MUMain;
    app.setMainWidget(main);

    return app.exec();
}
