/*
 * Copyright (C) 2003 David Sansome <david@dave.sanspic.net>
 */

#ifndef _MUTRAYVIEW_H_
#define _MUTRAYVIEW_H_

#include <qwidget.h>
#include <kparts/part.h>
#include <mutrayiface.h>

class QPainter;
class KURL;

/**
 * This is the main view class for mutray.  Most of the non-menu,
 * non-toolbar, and non-statusbar (e.g., non frame) GUI code should go
 * here.
 *
 * This mutray uses an HTML component as an example.
 *
 * @short Main view
 * @author David Sansome <david@dave.sanspic.net>
 * @version 0.1
 */
class MUView : public QWidget, public MUIface
{
    Q_OBJECT
public:
	/**
	 * Default constructor
	 */
    MUView(QWidget *parent);

	/**
	 * Destructor
	 */
    virtual ~MUView();

signals:
    /**
     * Use this signal to change the content of the statusbar
     */
    void signalChangeStatusbar(const QString& text);

    /**
     * Use this signal to change the content of the caption
     */
    void signalChangeCaption(const QString& text);

private slots:
    void slotSetTitle(const QString& title);

private:
};

#endif // _MUTRAYVIEW_H_
